org.jboss.jca.codegenerator

## Class AdminObjectType

- java.lang.Object
- - org.jboss.jca.codegenerator.AdminObjectType

-     public class AdminObjectType
      extends java.lang.Object

  An AdminObjectType.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdminObjectClass()` Get the adminObjectClass.
    `java.lang.String` | `getAdminObjectInterface()` Get the adminObjectInterface.
    `java.util.List<ConfigPropType>` | `getAoConfigProps()` Get the aoConfigProps.
    `void` | `setAdminObjectClass(java.lang.String adminObjectClass)` Set the adminObjectClass.
    `void` | `setAdminObjectInterface(java.lang.String adminObjectInterface)` Set the adminObjectInterface.
    `void` | `setAoConfigProps(java.util.List<ConfigPropType> aoConfigProps)` Set the aoConfigProps.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjectType

          public AdminObjectType()

  - ### Method Detail

    - #### setAdminObjectInterface

          public void setAdminObjectInterface(java.lang.String adminObjectInterface)

      Set the adminObjectInterface.
      Parameters:
        `adminObjectInterface` - The adminObjectInterface to set.

    - #### getAdminObjectInterface

          public java.lang.String getAdminObjectInterface()

      Get the adminObjectInterface.
      Returns:
        the adminObjectInterface.

    - #### setAdminObjectClass

          public void setAdminObjectClass(java.lang.String adminObjectClass)

      Set the adminObjectClass.
      Parameters:
        `adminObjectClass` - The adminObjectClass to set.

    - #### getAdminObjectClass

          public java.lang.String getAdminObjectClass()

      Get the adminObjectClass.
      Returns:
        the adminObjectClass.

    - #### setAoConfigProps

          public void setAoConfigProps(java.util.List<ConfigPropType> aoConfigProps)

      Set the aoConfigProps.
      Parameters:
        `aoConfigProps` - The aoConfigProps to set.

    - #### getAoConfigProps

          public java.util.List<ConfigPropType> getAoConfigProps()

      Get the aoConfigProps.
      Returns:
        the aoConfigProps.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)